Summary: Secure encryption and decryption of files and streams
Name: ccrypt
Version: 1.9
Release: 1
Copyright: GNU General Public License
Group: Applications/Cryptography
Source0: http://ccrypt.sourceforge.net/download/%{name}-%{version}.tar.gz
URL: http://ccrypt.sourceforge.net/
Packager: Michael Perzl <michael@perzl.org>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gettext >= 0.17

%description
ccrypt is a utility for encrypting and decrypting files and
streams. It was designed to replace the standard unix crypt utility,
which is notorious for using a very weak encryption algorithm. ccrypt
is based on the Rijndael cipher, which is the U.S. government's chosen
candidate for the Advanced Encryption Standard (AES). This cipher is
believed to provide very strong security.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix}
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install-strip

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc doc/ccrypt.html
%doc AUTHORS COPYING ChangeLog NEWS
%doc README README-WIN doc/cypfaq01.txt 
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*


%changelog
* Mon Aug 31 2009 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version 1.9

* Fri Jun 19 2009 Michael Perzl <michael@perzl.org> - 1.8-1
- first version for AIX V5.1 and higher
